GNU bug report logs - #6391
23.2; Wrong face with here-docs in sh-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Ralf Doering <rdoering@HIDDEN>; Keywords: confirmed; dated Thu, 10 Jun 2010 15:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 21 Mar 2020 23:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 19:54:41 2020
Received: from localhost ([127.0.0.1]:48459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFnwu-0007DG-Qu
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 19:54:41 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:43544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1jFnws-0007Cs-Iw; Sat, 21 Mar 2020 19:54:38 -0400
Received: by mail-qt1-f175.google.com with SMTP id a5so1363812qtw.10;
 Sat, 21 Mar 2020 16:54:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=7iLx1+WdhYEXobolacsvq8B0dcMJm1Cintga1FHT9XU=;
 b=F5/zYJmQOAqITYscV+vY9t2Q+Ue2M/LojQY71xylt/IeELLSOnGLoRBHhhxsNP9kkB
 kdHJjBuieiavEcyjr5fDKfafdRvX+6Syd5QZsWAVy5oNqFmTXUwuNIWUwpTWTY8Bh7cl
 EheiszEXJGmoWkbBdx3DKD7papQOfKo81q6/QuKf5YhFfT7txd8dRmzrpsLGvELeidkt
 EP9cjjC6g1NxJGDY6Td5NLx7F+DMi/mP/A8/+kY9FEVublvBmS8zu4m2itx/FvLuxUXJ
 IfLQqqLXd24Sym3syZIhBWKZgH5mLWlNB6fBNUJKthgG+SJeiPivH3kpI/S495R+BVha
 mXOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=7iLx1+WdhYEXobolacsvq8B0dcMJm1Cintga1FHT9XU=;
 b=r8J09mrEqRJd23mCASC8ouJUD+fODSVazJQH+22gHqxr2Mcl1VkYSXDmZi0zjp/svJ
 W8s4IjDBNMChVRo4JuMajlJgFzBjBLe9KhRvfxHfIbSK5HmG2/W6/eFkd0Hmi1SJ5WKX
 rvsxNY2tBVO7SQ+GBNLOIqPjxwXvy3PmaYoLrSbQyz9PnneEi4B2o+WiWG6uzV1oBfB7
 xzbe6/dyluuUx4ya9HvrpyE18ZlxNIjd71xY1qEXdhrqpXoSgeQhphj0uLoH/y6/ww/j
 YEiNjyZDvfGpTWb5+hgotArojeOlAU2GGjF8Nc3BZbyV6rVL3w/m4Dv6dvYtE2QmYkHy
 3q6A==
X-Gm-Message-State: ANhLgQ05npUo2NXP7HdTwaWbYhQRprpzgnsAYlBXhz/XWGw8GR/G/c9i
 JC65azyUemERSonYJkMoMNE8VUZT
X-Google-Smtp-Source: ADFU+vs98ghRkk6z+5TMw9qL0GDMtJoYsXWo6tiI02XcgVbu+L+XM7wMAsN2Vnyft1ZLwO2VTB9GFw==
X-Received: by 2002:ac8:719a:: with SMTP id w26mr14960620qto.257.1584834872955; 
 Sat, 21 Mar 2020 16:54:32 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 d9sm7985170qth.34.2020.03.21.16.54.32
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 21 Mar 2020 16:54:32 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Dale Mellor <debian-bugs-ffbwxg@HIDDEN>
Subject: Re: bug#6391: emacs: Wrong face with here-docs in sh-mode
References: <1aac0e111e0356d84eb3c968b1fe553547298abe.camel@HIDDEN>
 <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN>
 <5eb0243fe1be1a23b6353b7308360a44c7ff5a6b.camel@HIDDEN>
Date: Sat, 21 Mar 2020 19:54:31 -0400
In-Reply-To: <5eb0243fe1be1a23b6353b7308360a44c7ff5a6b.camel@HIDDEN> (Dale
 Mellor's message of "Sat, 21 Mar 2020 22:42:00 +0000")
Message-ID: <871rpll0w8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6391
Cc: 6391 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

severity 6391 minor
quit

Dale Mellor <debian-bugs-ffbwxg@HIDDEN> writes:

>> It would be really nice if someone would increase the severity of
>> this bug.

>   Okay, I've made the error of combining '\' and '-' in the wrong
> order, i.e. cat <<\-EOF...

>   Sorry for the confusion, the bug can be considered closed as far as I
> am concerned.

I'll leave it open since the original bug still reproduces, but I'll put
the severity back to 'minor'.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 21 Mar 2020 23:11:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 19:11:01 2020
Received: from localhost ([127.0.0.1]:48418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFnGf-0005sl-8t
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 19:11:01 -0400
Received: from ec2-52-19-174-175.eu-west-1.compute.amazonaws.com
 ([52.19.174.175]:58650 helo=rdmp.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <debian-bugs-ffbwxg@HIDDEN>) id 1jFmoh-0004wJ-QR
 for 6391 <at> debbugs.gnu.org; Sat, 21 Mar 2020 18:42:08 -0400
Received: from [127.0.0.1] (helo=localhost) by rdmp.org with esmtp (Exim 4.92)
 (envelope-from <debian-bugs-ffbwxg@HIDDEN>) id 1jFmob-0002Hs-88
 for 6391 <at> debbugs.gnu.org; Sat, 21 Mar 2020 22:42:01 +0000
Message-ID: <5eb0243fe1be1a23b6353b7308360a44c7ff5a6b.camel@HIDDEN>
Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode
From: Dale Mellor <debian-bugs-ffbwxg@HIDDEN>
To: 6391 <at> debbugs.gnu.org
Date: Sat, 21 Mar 2020 22:42:00 +0000
In-Reply-To: <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN>
References: <1aac0e111e0356d84eb3c968b1fe553547298abe.camel@HIDDEN>
 <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN>
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, 2020-03-21 at 18:07 +0000,
 Dale Mellor wrote: > Subject:
 Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode > > This bug is
 still present (since 2010!) in emacs-26.3. > > Note that many [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 6391
X-Mailman-Approved-At: Sat, 21 Mar 2020 19:11:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, 2020-03-21 at 18:07 +0000, Dale Mellor wrote: > Subject:
    Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode > > This bug is
    still present (since 2010!) in emacs-26.3. > > Note that many [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Sat, 2020-03-21 at 18:07 +0000, Dale Mellor wrote:
> Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode
> 
> This bug is still present (since 2010!) in emacs-26.3.
> 
> Note that many of the previous comments are off the mark; it doesn't
> matter what characters make up the end marker, it is simply the
> presence of '-' at the start of the opening marker which triggers
> the 
> problem.
> 
> It would be really nice if someone would increase the severity of
> this
> bug.  The feature described may not be used very often, but when it
> is
> used the bug is a bit of a nightmare, and means that syntax
> highlighting of a shell script has to be turned off completely.

  Okay, I've made the error of combining '\' and '-' in the wrong
order, i.e. cat <<\-EOF...

  I can confirm that when these special characters are used in the
correct sequence, emacs highlighting works as it should, and this bug
is mostly fixed (but not for the '+++' case, which I think is probably
also wrong anyway).

  Sorry for the confusion, the bug can be considered closed as far as I
am concerned.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 21 Mar 2020 21:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 17:53:58 2020
Received: from localhost ([127.0.0.1]:48324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFm45-0007qI-RO
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 17:53:58 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:44487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jFm43-0007q1-L4
 for 6391 <at> debbugs.gnu.org; Sat, 21 Mar 2020 17:53:56 -0400
Received: by mail-qt1-f172.google.com with SMTP id y24so8376522qtv.11
 for <6391 <at> debbugs.gnu.org>; Sat, 21 Mar 2020 14:53:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=c1dcX/0EaUk9SJnhmdlqWdtpjNUgNxMgBk2ptGhn+gQ=;
 b=UxKqRgXlS3HJEyxBR2nT6SX/hhO8yZNC1Cp2CpIvgOdLcNdQnOcHWbSgLq/LYlenMW
 XuAOs5yiERO/OJYbtvYYuYbN1hxzAndnfXiQ5zNOZsrTy4IYTn2TdbPLqkwcWC5ltJ2c
 Kr963d4N8AYdCTb7rpTRQruBPD7FCJSLygTX8JFab7CxnxiELf8A99lbyo8Ok4gtLyCP
 rcoM37keojwJuYGgFmcRo12sAV6paVk8ouktAAe4qet2wss8rYysaGPTGaabWHDMReHt
 wvvBk0mMoiBSu0Jdt0jSJzhpV10khemg05ohHlG2xhmsMR4osaDfOrQ6ZPFS6qTCqxH3
 VqMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=c1dcX/0EaUk9SJnhmdlqWdtpjNUgNxMgBk2ptGhn+gQ=;
 b=lSe8T/3qbfdIPwD9/Cgwjfp3yjY4R8TwYMBUOREJsFwYvv6jO3rnBV1PgYr1YjkagZ
 l8N41Lr4i/UnOyls5hwhoQLsTjNey5tjLk4c+zU85hNdUAL22LIzH00cTSu4PU4jFU4F
 HHbZlxknd5PhuOL1W4iiJ4jfbhl5/6QVs9V4O8Iz/U80XaYfAahdnclAl+iofH2J9aH2
 FuH04dfxU6I5qpdKHCZSnBa3CBKLfxETsKox2YoHAsLmqmRHd9wrYNFvBiUN0hBMwXHi
 ddRAK+eYBHqDT39EhpreKXvysS7uTzWIa7QovRdyHmu33td4NWpZAuQ+qBKy2tOgWV1C
 s3UA==
X-Gm-Message-State: ANhLgQ0eWN3Z491tM1BHHNtBjmqS6X/EpSlP9Bpiygwf6DdorjMLWQJi
 vNDg7qk4R8MNP4J8RRZ2/dWjpVzr
X-Google-Smtp-Source: ADFU+vubXrEQjL7ts3HJBM1rWK2boxAKG1mb11db6KvJ1rPkcxf2VA93RiHXLoAaNdOFo2/tTC6AWg==
X-Received: by 2002:aed:3f95:: with SMTP id s21mr1458969qth.347.1584827629808; 
 Sat, 21 Mar 2020 14:53:49 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 x37sm8679848qtc.90.2020.03.21.14.53.48
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 21 Mar 2020 14:53:49 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Dale Mellor <debian-bugs-ffbwxg@HIDDEN>
Subject: Re: bug#6391: emacs: Wrong face with here-docs in sh-mode
References: <1aac0e111e0356d84eb3c968b1fe553547298abe.camel@HIDDEN>
 <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN>
Date: Sat, 21 Mar 2020 17:53:48 -0400
In-Reply-To: <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN> (Dale
 Mellor's message of "Sat, 21 Mar 2020 18:07:19 +0000")
Message-ID: <877dzdl6hf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6391
Cc: 6391 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Dale Mellor <debian-bugs-ffbwxg@HIDDEN> writes:

> Note that many of the previous comments are off the mark; it doesn't
> matter what characters make up the end marker, it is simply the
> presence of '-' at the start of the opening marker which triggers the 
> problem.

I can't reproduce this.  The previous comments seem correct to me.  See
attached (produced with 26.3).


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=sh-eof.png
Content-Transfer-Encoding: base64
Content-Description: screenshot with -EOF and -+++

iVBORw0KGgoAAAANSUhEUgAAAR4AAAF0CAIAAAB6xMG9AAAAA3NCSVQICAjb4U/gAAAgAElEQVR4
Xu2dB5wURdr/a3Ni2UzOcZfMgiISJCgq3onIKwJnOBVP9PWPenofz3B8FO81nHp4iK96oi+nJ3qo
CIoKCIhkJKdlF4lL2GUDuyyb4//XU0NvM91d0zPdszvh6ePWmQpPPfWtevqpqu6pCjp37hyjiwgQ
AasJhEJgVlaW1WJJHhEIaAIrVqwIDmgAVHki4DECZFoeQ0uCA5sAmVZgtz/V3mMEyLQ8hpYEBzYB
Mq3Abn+qvccIkGl5DC0JDmwC0uK7+nr/6+8dAh+aPJGHIIp/lj+oswtC1JKRWBbukNFMWUeyzxw6
nn2h5BJkJraM7dOtU+9OHQSKCaLcq6lAoF6UEk5oSEhsdFSvTu0H9OgWHBykl0UOP5lzftO+Q2UV
lQgBT4evTrO7mkCzHbkQvdZ0WoR7nBsaGrKyz2adOn2xtKyqpiYmMrJtclJal45tkhJQonGZYjlO
lZcTyCVqmxZvHuPiXErpNnrjpDbuPXj+QvGwvr3bJCWiV+ZeKNp2MDPvQvGoQf2cqmq8MZyKciOB
DKe2tq7oUum2Q5lllVUjBvRxKmrrgcM3XD24daLUn3A5fHWa3dUEykZsXmKb92eUlJVf0y8toWWL
0ODgS+UVZ/IKthzIuH3MCJcqZZUcuVCXB4RmDMOlqioTu1Qobtg5BRcmjR7esXVKWGhIaGhIh1bJ
+Hqu4AKi3NDBpdLdkK+ZBWqnJMSNGzLw2BlDr8ugS8l2BYEOXzWL8I/ArFNnxg0d2DoxPjwUlhUc
1yKmb7fOrtoVUFglR+4tul5Lj7vmLQpddufhX3GXjYmMSE/tkdq5o152cTiqtzvraGlFRWxU1ICe
3eTEvFA+COF/EaXX4zNOZA9J7QmjUpaFr0NSeyCqS9vWCIcQeLD9vx6/VFHRIioKOvPhomYRyipD
wr5fj0ND5BrUqzsGHrwUpBk/dNC+o8eLSkrDw0I7tEq5dkBaZHg4Yi+WlW87cBies7qmFkPTQT27
de/QVsxBGVtXX88VdqivUiul2kjm8BXZ9RqIq33g2EmMnFHQH2672aS2suZ6oJBAEMWzu6RDTFQk
Riid27TSQ3r09DnNdnFI71QOGO7OPApQUZER6Eu8k6sByu3ismmpK5BbWPTTrv2jBvXt1KZV8aXS
tTv2YrwLj6FOKQ45fT5/V+avY4cMTI6Pyy8uhkyH9LzT6FmUnDi/6CKEqMtql5y0eV+GHL73yDFl
WdAZzk1cxIlzubB85GqVEJdXdPGnXfuiIyPkRkXUiIF9WyXEV9fWYPyJssZfNQjFrfllT8+O7cYM
GYDpU+HFkr1Hjhsxrdo6aUC4/VAWvxeoq6MMcVDb4au4gXZm/oq7DO76UM9tbR3UE4ASRMlCXCIG
5dHl4lpEt01KjI9t0TY5EXNUpT567eKgs1hOdm4eZhmjB/dHLyqvqtqd+avsPxwAymJ1TYvf+eR0
gg4N0dcN7t+tfRskRsdCf8J8WmBaDpKRiwvfc+QYuibQIAQVwARj1bZdDvU38hVz2YjwMHVK+JDq
mho53KEsNABMS51LGbLv1xMjB/Ztn5KEQPyFhrBP2bTGDR2UHN8SUfCQ1/bvs2TNBp4X0+vu7dtG
hEkqgc+EYemCUhzgtIiOwphQkN5IlLiBrkvvj04py3FJW73SBaAEUe7pgIaYceOYc/kX8oqKT+Wc
xywrJT4Otz/c9bhAvXZxUF4sZ3fWsRED+vK2jguNVt67HQDKYnVNS2BLDjoVFpf8+MtuZWBQkGhF
S08yXG1b26oOv7iNOZRl5Cs6cVV1TVSENBhTXlU11eG2/s0vh7LW73Z0kg7Z8RU+WalVu5Skn3cf
kJMlxcXKn1F6ZXU1/4qh/5frNuHWg7kQrFducrV8hMhw6uvrMS7afjBz+6FMTSesmV0zUNxAreLj
lblc0lazOAQKQAmiZGmu6gB/26lNCv5BQl1dPRYk4GFuvGYIF6jXLsq7GMcukIPhBr+lqqvsAFBO
oGtaahF6ITV1tff/9kaHuY1eYlF4gyjSeBxm/+fyC9WDrrP5hYgyLsdQSsU9RO+GgoXKHh3ancnL
P5V7fsv+DMzrBvTo6lQ4ZuQJsS0wAvnPZe+nzIKVYqcS5ATiBgoJuWIpyz1tnSsjuNmqoszogOoM
69f705U/ySrptYveLZ5ndJDjQElZX70ol1cI1RDhfwuKL6rDXQ1JjIvNKSySc2GVTy0hOCjIaa/C
0gLmbFi8VmbHV8xB+3Tt1Cj/yrKwwMCjBEVgKK/UCp/R+9VKqkNw4xzYs9sNV6dPGTcCuqkTCEKg
D2Ixmq2osrtBfMVNVJDFIcrVBjKjLS9aAEoQpVTbuA7wUQ5doryiCquFxvnwlGI5SS1bni0odEmm
BaY1NK3X1oOH0c9qauvQg+Ecfti6wyUleOLBvbpv3neIyzlXUIiqqoVg7oGnFmLr6tquDR4XLt+4
DSmhD9YDzuYV4CsClUsCDmWhdF6coIiBPbtCK+iGmnINsUioVtIh5PstO7gmyHX6fAFWh51mQQIM
CLGMsWHPgS7tpCVNjCQxiyivrEKN4JPX7dxnRAhP41IDuaetgzICUIIoWYhLOhw8dnLp+s1YvsMC
bHVtLbrf2p17+nXvbJwPTymWMyStB0Yc2bn5aEQM1LGC5VS+y8atlogx6PB+aZgr45ksYlslxqf3
7qFOJofoLWNg5QODJShdVlmJxXf0dYyYHeRc0y91495DWPuGdQkcOsZRWMffkXFEfhsDw/fUzle8
jQGrwPyqtLwiJioKi/XyuougCBgtXAfmV8gFC0Q1BWu+sub9unXBGgkm2WEhoZiq4cGuETh4AwPr
+93at8U6L9KPGNgHT4G/WLcRHQiuEkWv3blXIEcZ5VIDuaStngICUIIo94jddt3wwydPo9/jTZSQ
kBCMPvp379r7yrbW01MZLpbD19V+yci6/ISpp1OZQfgBfwD+ylh++OAUECUgAm4QoF8ZuwGNshAB
QwQsmGsZKocSEYEAIxCgpiWYpwVYB6DqeopAgJqWp3CSXCJwmQCZFvUFIuARAmRaHsFKQomA9FwL
C4UEgggQASJABIiADxCwv5KXk5PjA8qSikTAFwi0bSv91FUyLdhVAL6Q4QttRDr6JAHMsN544w1a
xvDJxiOlvZ8AmZb3txFp6JMEyLR8stlIae8nQKbl/W1EGvokAQt+r+UT9R47bqxxPX9a1/jzb+O5
KCURUBJwYlpjxxrqkT/95NV9EXa1Zdvi6Cv30NLrBxu37EJ6si49PhRukIDItGBXBw4c6N69e1TU
FRu7yaKrq6tPnTo1Z84cpPRa64KdnDu3N6/ghEEio64d8vZ7z3uVdX3/veMW/AbrMnGifad+cfqT
J0/26tULrSlO1gSx7mkCPno1FUR5ujoi00LZArtCbHh4eGFh4TPPPAPr6tOnj3vWpekY3ROlB+tk
duM2G5WV0oEDmld5RQUPT04wtJmMphDLA9E5xo8fX1NTg8ePHTvaN+vFzhkoCHsV4bEk/yyXi8Cz
Z8+2b98eWZqsY3nzvdXyFjEo0IlpaforNCdvVHyoqqpq165dXFzcBx984AbfcePGfrfy04ED+yvV
/eSTfz/1p0ffeH2BwTo4TXahqHGjKHXiS7bTTJRXQVGpOlkzhsB4ysrKgLqkpKSuTtqpCiHYTQ1/
HayrtrYWsTAqpLx40YJttozUWvPmaCSjJWlw+xg9erTmTQSBN954o2aUJUWLhTgxLYfMsCXbhRYN
xl9shldUdCEtLQ2mdf3118+bN89V64qOjunfv09+4TFeEETjQ99+XRZ/YuXgBMbTunWryMhIXoqD
44pWDHfhuH74blNqP+f7NImxWh4LMthTBTYDyZwSd1YYxYWGhsLewsLC+IgOxgar4+1kuRpqgWjx
orOrE9pPUEc1WUhsbGyrVhp7vmPM1WQ6qAsyalq8qbg52UwLDQzTasDdNCJC2gE4JSVlzJgxH3/8
sXHrmvngPfMX/A/yVpRXQBY6hK1bBLVuk5Tat9vv7pr66b+XqDV2LwR2depUtjgvd1YnTuW4bVqa
ddcMFGviEAvOIAPT6trV+d6gyHvwoLQTFrdAlwpyNbFkVzk/NxRJi1iy77J2MG9QpYSEBAfvhK+3
3HJLeXm5QQmWJ3NuWg5Gxb/aBvkNaL3q6pr4K3c25pSN8MUWgcOGpR89tq+svLyuriEkODgkNBh3
X3Sjfv17ns/JHzdunGb/MCJcTOrQ4eNFBfZxYEJybGv9cy7EchxioZiDIfEOZ966HCZURrTSRGck
o8E0kl2d+Z7b1YWMF5Ar59SxY8dzzFfWoAJyMjjtxMRETC+VGeGyQKDJRsVqnZ2bVn19nc2IJB/F
zUn6e9m2pt7xX2OuG11WVnrm7NncnNx9+/aXXcr/4KPF6pLUISGhIeER4RdLSjHOqaqsxga/oWGh
KKe+vqF7905d/tDh0dkzoyLjwsLD4M7gG8MjwkJCQouLC803Huxq5KgrjimwcH4lqyffyNV1dy+k
uFja6VF88ekWn4mJU5qJlezq7OqGi1uUQtp27o5/+5bFDmzCFWOsDR4/fhyGdOHCBdlxyS4LewHq
LR6aqb6RvEZM6wqj4lYWFBzEbQ2GAPOorY3AWKVVSkp8fFxWxh4jBSPN+dyCkOCQnJy8iIjIyvJy
DAZxXhvk19XWR0SGR0ZFVNeWVl261FDXYCuuvq6+obam7kKRBbNzeCqDSrqajDsuB+M372ZxO8MN
SD1A0FQvNzcX4Z7zWqjd+q+fdLArWZOOvQauX1QxpgmtKzMzs2fPnnBcmJVwNdq0kc7NwaSao9Ck
5OlAQ6YltRJ3WNzKWENQXZBkYw0N8MVYBoiKjMTNEgO8lJRWJ23ntRm5SksramrrL+QX49ie9975
T36exibvenIwVkTUunXr9BKIwzEC1HRT5WWWDc1ll2XervhoEENlcaWUsfYWM57BlZSoESznvf+O
GJ7mqFJc9zEtOw9t2x0H2640P7gwqBR3XLi55+fnw19hUW3EiBGYZZ05c6a5XBY0N2BamAbZxoNI
zc0JzcbXfCXjQrPbLphWXFxsXV0NvItBIpLABlZWUbVpw64dv2yNiQ2tq5fWjgUXCkRBNTX4P1KG
Tb7tzgVvvytIL0dh/V1tS5qGhGVrzXAjpfA03HHJn41ndJrSyIBQnpVhTOhUoNsJeB3nzWwYN+iK
O+nFY+vLzu1tO3zm8revm/T/fnZbvqsZDx06BNPq0KEDHrRiSQNTLHA4ffp0//5XPNdxVayZ9AZM
C1Mfm8uCrviv/SAPPteyWZbkr+pquZXFtWwZHR3tikJ15eUVe3dnJScn/Xpyo15GqXzbJblG/Kup
raquLi6+VFll1Mlg3Q+r6nryleHt20gn0w1Nd36guJ405RTLkjs3bmQoy/iAEBMMqckuQ9PT02T4
ZetisK6Bj9qfBNpcWfHFU7+07zGAsaYzLXgn/ADx5ptvTk1NPXbsGLrl1q1bm9Flga1z03K1AWKN
ncQhiz2SeWLPnq3lldJthvch9Am7V1SUzU23trYedlVZhWPoajMO/HrmtDSpMHJ17dz2kUfucJoS
T8Dg3Mx4LfXShXnr4nVv0aJFRkaG7JR4XTg0zo2HYIiOJ10I4Q/BnFbZTAJuXe/9t2T5/POsd6pW
zg2JTDrTbeDVZiS7kReGhNEgnq/iHQbYlRsSrM3i3LTgJOz3P9uNEF9kDaSvtTW84aV1PWl811Dn
yoAQPWPXjiw878s8hjscJKORpNJsz82kdw54p4FsfMZcDkNBHJpaXVVdWHhx/74sl87LU791oUYJ
u9r00/b0q90cRTjMr+SvJq2LE8Zciz+ZsLWD1AqAAyx43qVsEXyFdanvTerKWhLiMPpFTW+aU75v
wXFLhLshZOPGjViFx5iwSPgKjhuSXc3i3LSkN2sutyWk25q5Do+g+JxKakWpTMmi7E3eaHrOlTl1
8vQ998yoroYfqubdBfYFOwoOCoZAWBRW5HGEpjSzCgqCRSEIy/R4mHY6O/frpWvWrnVzGUNTMz4Z
O5tbKDpsWDOnLdDBrhCi7HZmrIuTgReCweTl5UEy3t7ExYHbsdvefsLgHBe2PcHSkp2nvsJWxait
KzyxC449skq+WA48lTIBXgfDWjwPUUY1/eDQuWnVo2vbXga1NZVtMePyZfskzcBgYI2BYhJXxhZf
vDhr1syde1ch2FaOVBD+K5ViWzixhUvzK0TBqDCrQzhmWXv2ZISFOVf+ytIav23a2Hj0mPKRsdtD
QbVd8cLkbocPeso4DZddEOboWFZu3bo1lijkVQrbug5Wj+oxd8ezHZgcXpHBKlmTmRb0d6hdXUyP
oycLnNbLqgR8KMilcROSjUqOkh95WVWoUznOeycf8nFBaC1pxIbFd2wFZTcsyR74dXm10IUVwsry
qqhodIUKaSlEsk/p1ouybAKlEhCMT3ichQvOisfmnMtf9cPmlStXO60eTwB3FHv5PFU5C39kjCj+
nrty/fDSJZdfzxVYjiDKoP5Ixu0EEDB4xpDv8OHDuD0jvG/fvrAriU5dHUZBeIyDV7pAydOPjMWa
t2yXdvekVyypuLggtQnx9A7G5uDZxDKtinViWhh72Xq85K9gTvgfejq/ifKBPvSQjAD2YFsttPku
F3S7YcJNvx47hKfG6B64+yKzZFE2T4XCJLvC/2xeyzZiRAzeta/OyjzB/acLJV2ZtFNXaac4XGq7
clumpzPyaSdsRjm5AjR+u4GzwuqFHMUTe1oltXx47+0r/vuLb52fR6rO616IPNJTmhMXJYhyryyX
cjkxrdLSUvRsmA2MCv2e3wuVpiU5MZtF2SwQHyQTM6gB7mod2/c2mFiZDEPB1at/dCOjnCU6Jlr9
mMuMQI/m5fcsFCG1he1eBpfF72E8CkaFF8FgV9zMEAWTa3rrgl0tXXjXrv1nnpz7fRO4LM5cHump
XZMgyqPtxYU7MS08z45vGc19kdyWeLQFG5IecNlcDA+X0kitLq09GNe7yRoAz7Ww9GdcMa9KyRe7
YFewHL5QwZlzM4O/gl3JI0Ck4fc+OU2T1QWtyeecTdas3FMph4VyZeUo7rtkD9ZkNJyY1rat66PD
sRLO96+GzcCo6m3TrcvL5AixrbZzi0Lszt1G3yFsskqiIKxPJKckGynRYDIjoixJgz6xevVqrF5g
5R2P4/FCBlb/8OYB/y0P/JX8FIsPMZCM+y5LSndVSJMZlXHF1N7MeF4zKUWmJd+EXC3A2/i66q/g
4oqLLXgJ2FVueuknTJgg9w/8OF8vmTL80qVLWDA0eKvu0qWLN2yMAf3d0ERQR0GUEYYm04hMC6K9
zUjcqC32ZnJppzRehLft6NS8vcQN7JTFiWn5ByBvsxP/oEq1EBPw4MvR4oIplgj4NwEyLf9uX6pd
sxEg02o29FSwfxMg0/Lv9qXaNRsB+4GrTz31VLOpQAUTAf8igCMhUSE6y9i/WpVq4wUE6CxjL2gE
UsEfCdBZxv7YqlQnryFAyxhe0xSkiH8RINPyr/ak2ngNATItr2kKUsS/CHjdO4TyJhPg7AcvB/tX
b6HauECgmU1LaUhc61WrVt1www3Y7+H5559Xx3ra2NQlarL0tBqahVKgbxFozgEh+nFZWa7y39Sp
k/HbJBzS9c9//hM/9cPXzZt/lBPs2bLIYNdXtgGOx8XvcI20CoTj7GbsFW77VbXGhZ/NHzlyZNq0
aW6oYUQBSuNPBLS9lsEfZlryI6LsrA0caEbmibKSfHzetWsX+vWoUaN+Xrdi/861tZeOtWqViPAf
v/3Q0+ib4OxmT1eB5HsJAW3TgnLXXHON5iGWXG90ffySXN7Ww0xlCgqlM6MKCorfXfjV9ys3QeyM
GTOw7xd+9zp67C3vf/jF9KkTenXvhAOGqqt0T/g2o4Ayr6fPbrZKT5Lj/QR0TQt2Jd40HFuQW1K9
5KR4yHn1zY9ffGneV199hc8Yv2Fghr1TYmJiEpM7bNi0t0e3jkmJ8dh/w5ISjQu5PCi07Oxm40VT
Sl8noGtaqFhOTg7fRxK7BXXq1An7CmG7BexegNkLNmeFY7Gk8iUlpdU1taNHDnpxzh+LcPhIpbRz
pXxhAzB4LewehShXtooyq5psVHz7N0vObjarE+X3KQIi0+JvGcrVgS1xc4J1WVjHli0l73frxNEt
Y7XdYJ/eXfhcy8JCBaJko1qzZu28ea9s3PgLEo8de+3DDz8+ftw4M2c3CwqlKP8jIDItHDmDve9w
+BcOtMR2x9xT/fDDD0oKmgseLi1vcK8Fmf36dMPfNet+2bU3c8euDOyYKxfUJ7Urxod5Odg0V+PU
AmtbBXu/wVMtXfrV66+//PDD97766rNlZeXbt+998cW/VFZWTLl9sttnN1urJ0nzcgIi0+rTpw/X
HseB8Q+wKyxv8INi9SqGbbpcWt7gXkuWtm3HwUcfe+7b3/xGTz4Px6bnUM8Tz5f4frQffvjurFn3
3HDD+JiY1gcObO7Zs8tvf3v9okX/RPVxujkeDGAnQFfPbhbXiGL9jIDItOS5Fp9fYaSEyovtCgli
Y107gfvkyXPVtY3nrBZfvPQbZ3aFUtLS0jzUEpJp1ddv3Lh93rwX2rbts23bCnit0tLydu3ar1nz
Nk7LTU5KwonU8Oeunt3sIYVJrHcSEJmWcq7F51cYGaIa2K2aL29gjQHhOHgGKxx4IoSDLjEZQ7dz
qapdurRTpj9+QtrC8vPPP+dnp2M1/KGHHkIIzvnbvn37448//tZbbw0bNmz48OEulWI8sXR8g7Qf
cBAsKjs7A0aFD/iXlNQGyzkF+QUx0dHYoRap3Di72bgalNLXCYhMi8+1UEM+3eI7IeMrDmNWVhu2
xM0J1uUGjuwz55WrgnyKhTceHETBlrg5wbrcKMV4FngtuKPRo4dt27Y7NbUERy3DrhISWnXtmjpu
3MhK6IqzUqqr+B7rrp/dbFwRSunbBESmJc+1UEVMtzAg5F5r//79uGcPHjwYx55jeYN7Ktl3ucqj
U4fWyizpg6R53ezZs/HC0cKFC59++mnuPLmnkn2Xq6W4mv63v52yaNHCKVMmtm3bOi4uOSWlQ3q6
dDjvgzMf4QNjWaCrZze7qgml91ECItPSnGuhngMG4HB16cK5aXK1Zd/lKogDGadqcKBqtf1x1oUi
abP1+fPnczmvvfaaUqDsu1wtxXh6nN2MAeHNN9+EsxU3bPjxp5+2IO+wYdf88YnH/z7vrdsm3/7J
x4tGjLjWdkCL9M+ls5uNq0EpfZ2Armmh5zida/H5FRBwx4VHyfBmrg4L+/fprISYmBCHr/Jci0+u
eALuuN5///2KigrPDQtRBSxj4BC4cWPHpqWmTrvzHgz/goJwurLt0GbG7r7n90v+s3jw4EEYE9rs
S6k+fSYCdgK6poV3+fReZVLOtZSG5N6j5Mwj2eU4pPiy19qwaTdUU861HKyIr2p4rgH52c1YqIiL
a1lXVxMaFlJVCdMKwprNk398/I035+Hz1DtnLPzgvVGjRsK6PKcJSfZpAtqmhWe+ms+CeVX5XAuf
LZlupfbqpCQYGxuDr80415LPbo6KikxKSsL9BSH8sNk77phSUVn5v//7HjSc+eCsXTu3RUZE8OPF
fLoTkPKeIKBtWihJ840Kbm/yXAvJzE+39mecqK6ura+t5tXr3KkNPjTXXMvh7ObIyAgc7gp9+NIF
Dom747+mxMfFvfyKNAO8UFiIGaZLp2B6oglJpncS0DUtgbrycy3zc63yktwBfboqy2reuZb67Gbo
xg8Fxl+8kp+QEI8Xnfr2ScMqfPHFizExLchrCbpKIEe5Y1oWzrVysg/t3bq0oCCvuq6+8lJpZVVt
9olTaI/mmmuJz24OCQ6OisQoMTE4JLioqDg8PAxnopPXCmT7EdTdZdPCK4LiV5mQQFCeMgpvAA4Y
NladGO8HOn2PCWnUGc2HGDm7GVMvXFXVtfipy9lTIXv27jdfLknwPwIum9batWstpKD5fq3yUbWg
LM286vTGj8eFQPc2vTCoiVo3CvFjAq6ZlubahuV0mrGnNmPRlmMkgc1LgB7LNC9/Kt1vCZBp+W3T
UsWalwCZVvPyp9L9lgCZlt82LVWseQmQaTUvfyrdbwnQWcZ+27RUseYicMVZxs2lBJVLBPyVgPRc
a/369S5Vb8iQIZrpxW9paGahQCLg0wT03j2CLTTOtd7/+ntU0shfn2ZByhOBpiFgNy1Y1EOTJxr5
2zRqUSlEwNcJ2E3LoF1xn+brddbTHz8bUV9y4q+//hovN2JbK/xdvny5HK7Own+EolcKhQcIAfs7
hEb8FU/jOS7okQ6bJXmuLD3Jegrs3r37scce++yzz4YOHbpjx47p06fjrd+BAwdyOXq59Eqh8EAg
QF7LUCsvWLAAB8COGDECXmvkyJHPPvssQgzlpESBSsD6udayZctwa8f+hLivf/TRR0qw3377Le+d
KSkp9913H/bc5bF8TIXP8uDKjebA1m5vvvnmoEGD1HkFUerEmiFbtmxR/t5k3LhxmzZt0kxJgUSA
E7DYa8F4MHB6+eWXCwoKVq5ciR6pBI09pefOnYu9ovBDRpx7MmvWLB6LARUfU/EPLo2vsBPo4sWL
b7rppo4dOy5ZsuTee++VSxREudr8p0+fVv62GmUhxFUhlD6gCEjTGzzXcmmuJXiude2112K/20mT
JjmFWFJSgg6Ks/DklK7OtdatW/fJJ5/gIEkcq4fJD65u3bpxaYIogWKayw/czrFTWm1trZwAv9rn
275DmiCXoCyK8g8CgudadtNCPY1bl8C0oqOjz549q3lgJIZ/L7zwwooVK86dO4c9W3inRB+VEbtq
WkgfHx//zjvv4Oxjh3YSRPGUSnuQnaRAARz9Cj8sn3QMf4gDabFHDa+FS27WP7oU1YITEJiW9XMt
PegYqsFTwbRgY+iL0Mlkj1yzZs2tt96KHT/79ev317/+9ejRo3LRgsIjIvgAAB1fSURBVCieRh55
GtQBo0HsSCPLx2e4XL2aUjgRAAGL51pYRdiwYYMmWQw7582bh/1ksMKBBBizOSTDLn8YdGnm1Qwc
P378v/71r/Pnz//5z3/euHEjDnzA8glWMpBYEKUpymkgBro///yznAzKYz3GaS5KENAEcNvGhhDT
Zv/J4F8kg/PRvCDqm2++wcxn1apVcEpZWVlYqJD9w+jRo+fMmQOXhevLL7/k8yKl9+jZsye2eod1
KQONf8Y48/XXX8f2o+osgihlYvQDdV4egmdZqNfmzZtxAhDWBuGy9uzZw6MEufSkUbjfENA0BASi
glJngrUYtCtugQJxkLZ06dL09HTshon+h1N8ZIjZ2dm33347pmGYseCWDz/j0CnxigNOMeW7qDcL
es1brKzJF1980bt3b6xewD2ijnI4mVazNJaXFCqwBYtXCDV7JwUSAX8l4HwZg94h9Ne2p3o1F4Gm
WyFsrhpSuUSgWQhYvELYLHWgQomAFxIgr+WFjUIq+QMB8lr+0IpUBy8kQF7LCxuFVPIHAt7qtRbf
ZjFdywVarB+J8zcC5LX8rUWpPl5CwFu9lpfgITWIgLsEPLA3xtkd7NBX7MJRFhbN2g9l6fez8BaS
elUlbP9ilrOHVRSx4FCW3Iv1vpW1S7drfnwdO/QlK8tj0Ums39TG6ohz6ZWF/HoC3SVF+YiASwTs
pmX8bQykdFJA5rdswAyWkspqK9nBL9gv77KRf5KybHyVtbuKTXiVRbRk1WUs7xA7vMxuWmd3soyv
2PDHWHxnVnSCbXu7sQhBLiTSK0sg0In2FE0ErCHggbnW+LmszQAWEi6Z0IDpkpviV9FJyYlFJrCg
ECmq43CGlPyCXQ19kCX3ZqGRLCWNDZ3ZWDlBLiTSK0sg0BpuJIUIOCFgtdeqLmUHPmcYp2HUV1dt
KzzIrkLaJPbDH1lyT5bQjbVoLRlSUi971MXsxs8ISurdqLUgl6AsgUAnQCiaCFhDwOq51tZ/sIhY
NuYvLKaV5LgwJlwyza5pvztZlzEs/zArzWW5+9neT1jPm1n6fbbYy+bHkwYpvgpyCcoSCLSGG0kh
Ak4IWO218g6ySQtZeIy9WJiQ8oKzwj9+lZxhK5+ym1Z8J1Z4hLW5vM9ZQaahXIKyxAKdMKFoImAB
AavnWhjsZX4jrVLg3+mtbPeHjTqu/rO0aleWzxrqpOHiiZ9ZfBd7bJ8pbOdCVvir5OVgV/gsX4Jc
grIEAi2ARiKIgHMCFu/oxMoL2K4P2fkD0kQrsTsbdA/78Rk2Y5mkCJYEs1bYo6ISWPurWb87pPUM
fh1fKy3Zl51n0ckMg8Bt853nEpQFmXoCnTOhFETAKAHBTyHpV8ZGIVI6IqAmIDAtehtDjYtCiIAF
BKyea1mgEokgAv5AgLyWP7Qi1cELCZDX8sJGIZX8gQB5LX9oRaqDFxIgr+WFjUIq+QMBq9/G0Pwx
L3+uBVynt7F9/5ZedGrRhg26m3UYZkcozuUPnKkOAUfA6ncIAVA2JAeYF46xXQvZiCdZUg9WeJRt
foPFtGYJXeyp9HIFXItQhf2EQBPOtY58L/3GEb8ZCQ6T/va9gx35zk8oUjWIgIpAE8618HJg636N
CrTuL70FTxcR8FMCTei18Mof3g+UL3xGCF1EwE8JeGCupV6T4PMovLAbEtaIEb/mqqtq/KqXy0+5
U7X8noDVK4QAprcgIdlSjfT7SH5JlhbRyFcvl9+3AFXQTwk04VwrKumKEWBF4RXjQz/lS9UKWAJN
ONfCHk/4yZZ84QfICKGLCPgpgSb0Wr0msoNLpB8R19dKa4PYdbDXLX5KlapFBJgH5lp6CxKJPdjg
+6Q9BqW3MdqyITNZQldqASLgrwToV8b+2rJUr6YgQL8ybgrKVAYRUBJowrkWgScCgUSgCVcIAwkr
1ZUIkNeiPkAEPEKAvJZHsJJQIkBei/oAEfAIAY97rSDl2QiuV8G97MilvuTCv/766z59+kRERODv
8uXL5XB1FvdKd72WUg7PleU5ye7VNEByeeDNd+8g19DQoKnI7t27H3vssc8++2zo0KE7duyYPn16
ly5dBg4cyBPr5dIURYFEQEDA415LUHazRC1YsOD5558fMWIEvNbIkSOfffZZhDSLJlSofxOwfq61
aNGi3r17o+N27979//7v/5T4vv32W96nU1JS7rvvvqKiIh6bn5//yCOPdOvWLTo6Oi4u7sYbb/zh
hx/kjBs2bBg9enRMTAxy3XnnnXl5eWaaZMuWLWPHjpUljBs3btOmTWYEIi/qNWTIkMjIyM6dO7/3
3nuyNIzEBMrrgRLTEKj697//HQzDw8Px96233tJMiRYBzNzcXDlWr1FQo1WrVsnJNm/e3K+f4kfi
mtIpUEkAQ6CfbNe02X8y+LdE54IotBPsauvWraWlpeiyvXpJ5z4inF/ox2vWrCkvL0fvwahs6tSp
PHzUqFGvvfZaTk5OTU0NLOerr75CSh6F7Onp6T///DMEnjlz5q677po2bZosUO+DslCHNLBeKCAH
lpWVwWjlsvQECsJxF4iPj//Pf/5z8eJFjDBRZfRIp8oLQAloCNT45JNPQB43DoCCGfTs2RODXmW9
6uvrn376aQCsqKhQytFrlPfff3/y5MlyytmzZ7/wwgsCBQIzSscUSkBD6vcGLYrbHhILxMEprV69
WqbMnY8mdHTEli1b8ih8OHTokGYyGMn27dvlKNxu4bs0UyoDNe+ePEFwcDA6mZy4rq4OIfyrIJeg
RFR5/vz5coIVK1bcdNNNskA95QWgBDQEalx11VUO5K+++mpZDdxBYCevvPKKQAKilI2Ct+MSEhLO
nTuHcBBr3759RkaGOHsAxgpswW5aLlmXQBzu38XFxTJiPuTjXy9cuIA7H8YqGDjxTozxEo968cUX
MYDE3RoJMJLZtm2bLAEpq6urlW0m8EjKXHrNbLnXioqKgjuVi0M10Qv5V4HyAlACGnqVQrhaIEJk
NYYPHw4/9uqrrzpIEDQKUj700EMvvfQSPmzcuBGjQUHpARslsAWL51rwAMp7v3LZ995774UeuKnD
3tASuCniL088Z86cw4cPP/jgg7hNrl27FnOhJ598UpYTFqbYUUPTs7gS2KFDB1iCnAOfO3bs6IoA
jbSQKS/cJyYmYmTrVHkBKDENjeK1grg+cszLL7+MuycWbJYtsx0jePkSNAqSwLQ++OADuKwvvvgC
o3etcihMnwD6N6Bb5bXgefQGhLGxsdyo+B2OP1DSvNvBzATzH1RFM5cyUJDm97//PbqLnPjdd999
4IEH+FdBLkGJqPL58+c1E6gFyiECUA6ilDQ0S+GBDgPClStXKgeEPM2uXbtatWq1Z88eWY7TRoFY
TAvhhzMzMwWlB2yUwGtZPNf67rvv0tLSMMHgk2nlMgYWpnA/hnXh+vLLLzEylPvZtddei5WrU6dO
YRkDg/vnnnsOIby1BL1T0JzqXHJirDR06tQJE/2qqiostMBlyV1NkEtQ1o8//jh+/HhUGfMZVA3P
o5VrMA4Z5SIEoAQ0BGp8/PHHqampGEuDPJaRsKTx6aefqhlCPVSfz6AQK2gUnnfhwoVdu3bt37+/
oOhAjnJuWlZ5LVD+6KOPYFEYxcF4sL4sd6bs7Ozbb78dQz5MTjCJx/Bdjlq/fv2UKVMwlMI0DLmw
eIh1QnW30AtRNy0kqy85GYY36HnQEH1x6dKlcrisj1qgOASD2DFjxrRo0QITueuvvx4eQ09VZRF6
oAQ0xGr87W9/w+p/aGgo/r7xxht69UIy+CK+TCpoFJ4d9wssq2D6Jy46YGMFpkW/MlbbIIU0EsAK
Krwc7h24DREXNQH6lbGaCYU4JwBfhCfgmGiRXTmHpUrht+8QqmpKAS4TwDImxpYYP7uckzIwFnDv
EFKjGycAr3Xy5ElMzIxnoZQyAYufaxFZIkAEOAHyWtQTiIBHCJDX8ghWEkoEyGtRHyACHiFAXssj
WEkoESCvRX2ACHiEAHktj2AloUSAvBb1ASLgEQLktTyClYQSAfJa1AeIgEcIkNfyCFYSSgTIa1Ef
IAIeIUBeyyNYSSgRIK9FfYAIeIQAeS2PYCWhRIC8FvUBIuARAuS1PIKVhBIB8lrUB4iARwiQ1/II
VhJKBMhrUR8gAh4hQF7LI1hJKBEgr0V9gAh4hIAXeS06zdojLUxCm4kAea1mAk/F+jsB670WTnDC
4fY4GAEn2+PEACVAvWNz5cOg5FOq3MCOU63efPPNQYMGqfMKotSJESLwn+5FaZZCgf5NwGKvBePB
OSM4KK2goAAHduBoXSU+nPg4d+5cHBuJM6NwHPisWbN4rPpcD+PQceLG4sWLccYpjvNZsmQJzmKT
8wqijMunlETAPQIWn1SCs6FwFvWkSZOcaoPTU2AMODxXTgmHABtzmlFOsG7dOpyNjTPFcZTGdNvF
z+xCAkGUEfkCTdyLMlIopfFFAoKTSuymhVq9//X3D02eaOTvkCFDNCngiEEcMHX27FkcoqVOgGPd
cIQ7DlzFuWmVlZVIgG6KwzzllIJeq5bGs+O43nfeeWfGjBkOCSBKL4qnVI7rZHvWHOzxWPeiNNWm
QH8iIDAt6+daeuDEx+bq5RKEr1mz5tZbb8V5uzjB+q9//evRo0flxIIonkZ51JqcSw5EiPKzw1fj
UQLlKcr/CaCjWHiWMU56xzKGsuPKn50em4vjDHHgqmZeQSCOLcSwcMKECSEhIXCnytMQBVECgYhS
2pJDSveixMVRrO8SEJwKabHXeuaZZ2bPno2TwnGi7pEjRx5++GH55jR48OB58+ZhDQMXJkhPPPGE
w30LZ+YiHMcQunQ/wxD0rrvuWrVq1enTp6dNm4YjfeXsgiiXiqDERMAdArhhWOi1IA2nA6enp4eH
h2OVAodMyzckp8fmLl++HNaF49JQDd+9jZHmAUVA4LUsXiF0x7gpDxHwWQLOlzEMrg1i/dBnIZDi
RKBJCVg812pS3akwIuDFBCx+G8OLa0qqEYEmJUBeq0lxU2GBQ4C8VuC0NdW0SQmQ12pS3FRY4BDw
vNdafJvFNC0XaLF+JI4ISATIa1E/IAIeIeB5r+URtUkoEfB2AqFcQSO/JeFpnFfo+Dp26EtWlsei
k1i/qVekP7uDHfqKXTjKwqJZ+6Es/X4W3kJKUFXC9i9mOXtYRRELDmXJvVjvW1m7dHtegUDn2lAK
ItA8BOymZfxtDKQUaXp2J8v4ig1/jMV3ZkUn2La3r0ic+S0bMIOlpLLaSnbwC/bLu2zkn6QEG19l
7a5iE15lES1ZdRnLO8QOL7OblligSBWKIwLNScDquRbsauiDLLk3C41kKWls6MwrKjd+LmszgIWE
SyY0YLrkpvhVdFJyYpEJLChEiuo4nCElv8QCmxMdlU0ERASs9loXs1lSr8YCk3o3fq4uZQc+ZxgT
YtRXV20LD7LHpk1iP/yRJfdkCd1Yi9aSZcpCBAJF9aI4ItDMBCyfa122Fl6vIMXXrf9gEbFszF9Y
TCvJcWFMuGSavfb97mRdxrD8w6w0l+XuZ3s/YT1vZun32WL1BTYzOiqeCIgIWL1CGN+JFR5pLLAg
s/Fz3kGW/gBr2UGyK1wwIeUFZ9V1DOs/jV33HLv57+zoKnukQKCoXhRHBJqZgNVzrT5T2M6FrPBX
ySnBrvBZvjDYy/xGWqXAv9Nb2e4PG6NW/5lhGbAsnzXUScPFEz+z+C72WIHAZkZHxRMBEQGr51rt
hrDKYrZlHis7z6KTGUZ62+bby7/2CbbrQ/bNQ9JEK7E7G/44+/EZe9Sgu1nWCrb7IykqKoG1v5pd
96w9SiBQVC+KIwLNTIB+ZdzMDUDF+zQB+pWxTzcfKe+TBKyea/kkBFKaCFhPwOoVQus1JIlEwCcJ
kNfyyWYjpb2fAHkt728j0tAnCZDX8slmI6W9nwB5Le9vI9LQJwmQ1/LJZiOlvZ8AeS3vbyPS0CcJ
eMxrCTaHcS/KJ/GS0oFLgLxW4LY91dyjBDzmtTyqNQknAl5PwOKzjJnmYG/GMomDe1FeT5AUDGQC
gtdzPfbmOwyJW5QavHtRajkUQgSam4DAtGiu1dyNQ+X7KQGaa/lpw1K1mpuA1XOt5q4PlU8EmpKA
8wGhlbvnNmXNqCwi4K0EaK7lrS1Devk4AZpr+XgDkvreSoC8lre2DOnl4wQs3z3Xx3mQ+jYCQcpt
j69k0tDQQJCMECCvZYRSIKaBCamvQAThbp1pruUuOcpHBIQEPO+1NF8dFOp0RaTJ7MYLsjClL+ps
YfVJlI0AeS3qCDpvThMYcwQ877XM6Ue5iYCPEvDACqHg6GH3zjLG+av7P2UXjrGQCNa6Pxv6BxYZ
ZxS3e2/ZC3JpFiyocuZyduR7Vl4gHS7R6zcs9beNAkADZ/kVZ7OoeIYDWXreZI8Sn+ysqQACofP1
/6MLSk8Neewqf9D7vYJeuRSuQ8Dqk0rERw+7cZYx9MYJJjhQHIeb4PQgnGq3ayEb8aROdZojWFDl
k+vZ0dXs2j9KJzsXn2Rb50tW1HmUpGXObrb1LXb1I6ztYHbpHNv8d9aiDWs7SIoSnOwsrp8eKIEa
8k/pyKLEbF2PtXquJT562I2zjFGlq2axVn2lw5Gjk1j671nuPter6ckcgipnfdd4snNyqnSyM04Y
4xdOSceJ6Z1GsLBoltiDDbm/MUpwsrO4HnqgBGqIBVKsCQJWey3B0cPunWWMuuHMO/mKjGcYLzm9
lGt0DkMd96IEJQqqDHfkcLIzQviF8e2IpxqlwvB+edf+VXCys0ANROmBEqghFkixJghYPtfSP3rY
zbOMsYoZ4nIF5eGNetbkXpRIA/0qO+SSXnFQJF72wBXx8gsQopOdRXoYBeWghlAkRbpNwGqvxY8e
bmObM+ByOMt40kIWHmOPUp9ljOOM+VVyhq186vIx4fYw7/2PoMqx7aSTnRtpZLHYtvaKJPVgI5/W
XY8BCgtpCNTg2gSFSEfd4i9d1hGweq4lOHrYvbOMrauqpyQJqtzrFtvJzkdsJztnSQswvS+vEMI1
bXnTduhzlbQ8c2Y7WzvHrqHgZGf36iBQgwuEGWdvZQ317omnXJoErPZagqOH3TvLWFNr44GChS/3
otRFC6rcdQyrLGKbXmflF1h0orT43mW0XUCbgXgHlu39Fys8ylgDw1yrz2R7lOBkZ3XpRkIEavDs
g38vndoOU8ertwIsRsqiNJcJeGxHJ0LsywTw5rvmG+564b5cV1O6O/8B/0OTJxr8Db8pRSgzEQgY
AlbPtQIGHFWUCIgJ0DuEYj6BG4uxn/rSHCUGLiNhzS1/riUsjSJ9hACZkPmGIq9lniFJIAIaBGiu
pQGFgoiAeQLktcwzJAlEQIMAeS0NKBREBMwTIK9lniFJIAIaBMhraUChICJgngB5LfMMSQIR0CBA
XksDCgURAfMEyGuZZ0gSiIAGAfJaGlAoiAiYJ0BeyzxDkkAENAiQ19KAQkFEwDwB8lrmGZIEIqBB
gLyWBhQKIgLmCZDXMs+QJBABDQLktTSgUBARME+AvJZ5hiSBCGgQIK+lAYWCiIB5AuS1zDMkCURA
gwB5LQ0oFEQEzBMgr2WeIUkgAhoEyGtpQKEgImCeAHkt8wxJAhHQIEBeSwMKBREB8wTIa5lnSBKI
gAYB8loaUCiICJgnQF7LPEOSQAQ0CJDX0oBCQUTAPAHyWuYZkgQioEGAvJYGFAoiAuYJkNcyz5Ak
EAENAuS1NKBQEBEwT4C8lnmGJIEIaBAgr6UBhYKIgHkC5LXMMyQJRECDAHktDSgURATMEyCvZZ4h
SSACGgTIa2lAoSAiYJ4AeS3zDEkCEdAgQF5LAwoFEQHzBMhrmWdIEoiABgHyWhpQKIgImCdAXss8
Q5JABDQIkNfSgEJBRMA8AfJa5hmSBCKgQYC8lgYUCiIC5gmQ1zLPkCQQAQ0C5LU0oFAQETBPgLyW
eYYkgQhoECCvpQGFgoiAeQLktcwzJAlEQIMAeS0NKBREBMwTIK9lniFJIAIaBMhraUChICJgngB5
LfMMSQIR0CBAXksDCgURAfMEyGuZZ0gSiIAGAfJaGlAoiAiYJ0BeyzxDkkAENAiQ19KAQkFEwDwB
8lrmGZIEIqBBgLyWBhQKIgLmCZDXMs+QJBABDQLktTSgUBARME+AvJZ5hiSBCGgQIK+lAYWCiIB5
AuS1zDMkCURAgwB5LQ0oFEQEzBMgr2WeIUkgAhoEghoaGtavX68Rox80ZMgQzcjY2FjNcAokAv5K
4NKlS5pVgy3YvZZmNAUSASLgNgHJayFzTk6O2yIoIxEgAkoCbdu2xVfJtGBXWVlZRIcIEAFLCKxY
seKNN96gAaElMEkIEXAkYMi0xo4d65BPHeIoWPFdkFgQJRDYBFFQzGt1a4LqN00Rq1evBuQ1a9bI
xXHsmvAFUWJtBe1YV1f373//+3e/+92NN974wAMPbN68WSzKpVhDpuWSRDnx3Llzly1bVltbixD8
xeeXXnqJxwqi3CuLcvkigb1793bu3HnPnj2y8j9dvtTVEUSpExsM+fzzz7ds2YJu+c033zz11FOL
Fi2ycGbkQdN69tlnQ0JCnnnmGdQTf+XP+CqIMgiFkvkBAZjW3Xffjb/NVZeVK1fCorp16xYREZGW
lvbkk0/CAVilTKhVgrjbxa1FKTAoKEj+qvyMQEGUVSo5lYOHErhRbd26tbCwMDw8vF+/flOmTBk6
dKiccf78+ahReXl5165dH3/88dTUVKcyKYFBAnl5eQCLbvP222/jc6tWrQxmtDBZfn5+hw4dZIFo
5UOHDlkl34Ne6+WXX66pqXnllVegK/7Kn/FVEGVVxYzIefHFF5cuXTp79uzvvvvus88+u+2225Ys
WaLMGBoa+umnnz7xxBMYJ7z++utGZFIagwTgrAYOHBgcHDxgwIDmclwpKSlnz56VFT5x4gSMzaD+
TpNZ5rUc/BUKnjNnjlw8+uhk28VDBFFONbYwQUZGBqQBbnp6eosWLYbZLqV8DFeio6PHjx//2muv
nTx50sKiSRTMadCgQeCAv/g8YcKEpmdyyy23zJs3D7fOdu3awa4WLFhQXV1tlRqWmZZAIbXVyYn1
opSrOnppBCUajIIh4SUvAP3ggw/69+8/evToiRMnYk4oZ+evboWFhSGkvr7eoFhKZoQAVi/uuOMO
pBw8ePCXX35pJIvlaaZOnQqZuNFjRIqR4T333IPnUVaVYsi04HOU5eEpM+9tVimhluM5c1KW9dxz
z6FdseQK97XTdh04cABLLGp9KMRaAujKubm5999/vyy2WaZbGI5Os11cDbQ+ViytqqmhuVZiYmJp
aalcJD4nJCRYpUHTyNF8VIJbxq233orB3vLly//yl79AE2ufbDRN1XyxFLisMWPGyOvpGC84TLew
ZKc3NhNEmUSBbnDdddeZFCJnN2RaKO8f//hHdnY2liJws8FntQaafdcqLT0k59FHH92wYUNJSQkG
ezExMSgFa0QeKovEKgnAtPhEiwdirqt8uoXA7t27Y2VccxAuiHIVMu6nmELjoSve9cNqMHr4pEmT
XBWil97QgPAPf/gDFtAwUsL6CRZV8Oh6+vTpehJ9KHzmzJm4UWEiCz8cFxd3/fXXP/jggz6kv++q
Ch81Y8YMWX+YGZ7eKquDZVusKr/11luYfTjMDgRRekDUL2RwmTfccAMmWrCr5OTkUaNGoSfgGYye
EFfD6fVcV4lReiLghAC9nusEEEUTATMEDM21zBRAeYlAYBKw/xQSb1IFZv2p1kTAcgL84RjtjWE5
WBIYQAQM7Y3x/tffA4mRvwFEjqpKBNwlYJ9rwaIemjzRyF93C6J8RCCwCNhNy6BdcZ8WWISotkTA
LQLktdzCRpmIgDMC5LWcEaJ4IuAWAfJabmGjTETAGQHyWs4IUTwRcIsAeS23sFEmIuCMAHktZ4Qo
ngi4RYC8llvYKBMRcEaAvJYzQhRPBNwiQF7LLWyUiQg4I0BeyxkhiicCbhEgr+UWNspEBJwRIK/l
jBDFEwG3CNDvtdzCRpmIgI2Aod9rESsiQAQsJGD/Ab+FEkkUESACIPD/AeptE6oVxxjpAAAAAElF
TkSuQmCC
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 21 Mar 2020 19:57:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 21 15:57:43 2020
Received: from localhost ([127.0.0.1]:48119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jFkFb-00022t-4T
	for submit <at> debbugs.gnu.org; Sat, 21 Mar 2020 15:57:43 -0400
Received: from ec2-52-19-174-175.eu-west-1.compute.amazonaws.com
 ([52.19.174.175]:58402 helo=rdmp.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <debian-bugs-ffbwxg@HIDDEN>) id 1jFiWr-00036i-T0
 for 6391 <at> debbugs.gnu.org; Sat, 21 Mar 2020 14:07:26 -0400
Received: from [127.0.0.1] (helo=localhost) by rdmp.org with esmtp (Exim 4.92)
 (envelope-from <debian-bugs-ffbwxg@HIDDEN>) id 1jFiWm-0002Aj-6V
 for 6391 <at> debbugs.gnu.org; Sat, 21 Mar 2020 18:07:20 +0000
Message-ID: <ac3b7d936e1ceca5cec8d63ebe4afd54d6b148ce.camel@HIDDEN>
Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode
From: Dale Mellor <debian-bugs-ffbwxg@HIDDEN>
To: 6391 <at> debbugs.gnu.org
Date: Sat, 21 Mar 2020 18:07:19 +0000
References: <1aac0e111e0356d84eb3c968b1fe553547298abe.camel@HIDDEN>
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Subject: Re: Bug#6391: emacs: Wrong face with here-docs in
 sh-mode This bug is still present (since 2010!) in emacs-26.3. Note that
 many of the previous comments are off the mark;
 it doesn't matter what characters
 make up the end marker, it is simply the presence of '-' at the start of
 the opening marker which triggers t [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 6391
X-Mailman-Approved-At: Sat, 21 Mar 2020 15:57:42 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Subject: Re: Bug#6391: emacs: Wrong face with here-docs in
    sh-mode This bug is still present (since 2010!) in emacs-26.3. Note that
   many of the previous comments are off the mark; it doesn't matter what characters
    make up the end marker, it is simply the presence of '-' at the start of
   the opening marker which triggers t [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode

This bug is still present (since 2010!) in emacs-26.3.

Note that many of the previous comments are off the mark; it doesn't
matter what characters make up the end marker, it is simply the
presence of '-' at the start of the opening marker which triggers the 
problem.

It would be really nice if someone would increase the severity of this
bug.  The feature described may not be used very often, but when it is
used the bug is a bit of a nightmare, and means that syntax
highlighting of a shell script has to be turned off completely.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.
Severity set to 'normal' from 'minor' Request was from Dale Mellor <debian-bugs-ffbwxg@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.3. Request was from Dale Mellor <debian-bugs-ffbwxg@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 25.2. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 14 Jun 2010 17:50:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 13:50:16 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OODnc-00010C-8p
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2010 13:50:16 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1OODna-000106-K8
	for 6391 <at> debbugs.gnu.org; Mon, 14 Jun 2010 13:50:15 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1OODnU-0003pn-EO; Mon, 14 Jun 2010 13:50:08 -0400
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#6391: 23.2; Wrong face with here-docs in sh-mode
References: <87hblbashz.fsf@HIDDEN>
	<lmpqzyxmwh.fsf@HIDDEN> <m3pqzynfl2.fsf@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: Baranyi InfoSec ANC analyzer Fortezza Bruxelles sniper ICE
X-Ran: P-kUwwMqBl/}q)9QQh2e3FjK?L3;&~+(/x/K="+7dv.|URL=I{ty:<Hl6&uX}-c'`fKi\)
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 14 Jun 2010 13:50:08 -0400
Message-ID: <v3bpbd33n3.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: 6391
Cc: Ralf Doering <rdoering@HIDDEN>, 6391 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

Andreas Schwab wrote:

> See sh-here-doc-open-re.  Only delimiters consisting of word characters
> are recognized if unquoted.

Can you propose a better regexp? I do not know what the allowed
characters for heredoc delimiters actually are...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 11 Jun 2010 08:22:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 04:22:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OMzVw-0004Np-Od
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2010 04:22:57 -0400
Received: from mail-out.m-online.net ([212.18.0.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <whitebox@HIDDEN>) id 1OMzVt-0004Nk-R6
	for 6391 <at> debbugs.gnu.org; Fri, 11 Jun 2010 04:22:54 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 8C9031C0084C;
	Fri, 11 Jun 2010 10:22:50 +0200 (CEST)
Received: from hase.home (ppp-88-217-102-180.dynamic.mnet-online.de
	[88.217.102.180])
	by mail.mnet-online.de (Postfix) with ESMTP id 2C5821C0033F;
	Fri, 11 Jun 2010 10:22:50 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#6391: 23.2; Wrong face with here-docs in sh-mode
References: <87hblbashz.fsf@HIDDEN>
	<lmpqzyxmwh.fsf@HIDDEN>
X-Yow: ..  I see TOILET SEATS...
Date: Fri, 11 Jun 2010 10:22:49 +0200
In-Reply-To: <lmpqzyxmwh.fsf@HIDDEN> (Glenn Morris's message of
	"Thu, 10 Jun 2010 23:34:38 -0400")
Message-ID: <m3pqzynfl2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 6391
Cc: Ralf Doering <rdoering@HIDDEN>, 6391 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Glenn Morris <rgm@HIDDEN> writes:

> Ralf Doering wrote:
>
>> still displayed with sh-heredoc face. This seems to be caused by '-'
>> used in the here-doc marker, as changing "<<-+++" to "<<+++" displays
>> the right face after the here doc. However, '<<-' is valid and needed in my
>> case.
>
> It works fine with a more traditional delimiter such as "EOF".
> I'd guess there is a regexp-quote issue, or perhaps a character syntax
> issue, with your chosen "+++".

See sh-here-doc-open-re.  Only delimiters consisting of word characters
are recognized if unquoted.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at 6391 <at> debbugs.gnu.org:


Received: (at 6391) by debbugs.gnu.org; 11 Jun 2010 03:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 10 23:34:44 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OMv12-0001nM-IO
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 23:34:44 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1OMv10-0001nB-LS
	for 6391 <at> debbugs.gnu.org; Thu, 10 Jun 2010 23:34:42 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1OMv0w-0007r4-Qg; Thu, 10 Jun 2010 23:34:38 -0400
To: Ralf Doering <rdoering@HIDDEN>
Subject: Re: bug#6391: 23.2; Wrong face with here-docs in sh-mode
References: <87hblbashz.fsf@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: NORAD New World Order 64 Vauxhall Cross UNSCOM Bush Wired
X-Ran: >4)j:#zx_'N=L.nXA)7x~KQ0=\V4%LE"q1}Z'wIh=R@u(8I3CEM?&,@6;QO}j%PO[6s]mH
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 10 Jun 2010 23:34:38 -0400
Message-ID: <lmpqzyxmwh.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 6391
Cc: 6391 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.6 (----)

Ralf Doering wrote:

> still displayed with sh-heredoc face. This seems to be caused by '-'
> used in the here-doc marker, as changing "<<-+++" to "<<+++" displays
> the right face after the here doc. However, '<<-' is valid and needed in my
> case.

It works fine with a more traditional delimiter such as "EOF".
I'd guess there is a regexp-quote issue, or perhaps a character syntax
issue, with your chosen "+++".




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2010 15:52:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 10 11:52:41 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OMk3b-0004Lh-Tx
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 11:52:41 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rdoering@HIDDEN>) id 1OMiSa-0003aP-KR
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 10:10:22 -0400
Received: from lists.gnu.org ([199.232.76.165]:39167)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <rdoering@HIDDEN>) id 1OMiSV-0000sC-JK
	for submit <at> debbugs.gnu.org; Thu, 10 Jun 2010 10:10:15 -0400
Received: from [140.186.70.92] (port=56777 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OMiST-0004mB-4Q
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:10:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <rdoering@HIDDEN>) id 1OMiSM-0003y9-Jz
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:10:12 -0400
Received: from mail.netsys-it.de ([87.106.218.204]:59816)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rdoering@HIDDEN>) id 1OMiSM-0003xF-3r
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 10:10:06 -0400
Received: from p5b3dd90d.dip.t-dialin.net ([91.61.217.13]
	helo=seere.localdomain)
	by mail.netsys-it.de with esmtpsa (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.63) (envelope-from <rdoering@HIDDEN>)
	id 1OMiSH-0002mo-Qg
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 16:10:02 +0200
Received: from ralf by seere.localdomain with local (Exim 4.69)
	(envelope-from <rdoering@HIDDEN>) id 1OMiSG-0002YT-Iu
	for bug-gnu-emacs@HIDDEN; Thu, 10 Jun 2010 16:10:00 +0200
From: Ralf Doering <rdoering@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.2; Wrong face with here-docs in sh-mode
Date: Thu, 10 Jun 2010 16:10:00 +0200
Message-ID: <87hblbashz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 10 Jun 2010 11:52:39 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.3 (-----)

sh-mode displays parts of shellscripts with here documents with the
wrong face, if <<- is used. Suppose the following simple script (saved
as here.sh):

--8<---------------cut here---------------start------------->8---
#!/bin/bash
cat <<-+++ >/dev/null

+++

echo Outside here doc.
--8<---------------cut here---------------end--------------->8---

When opened in sh-mode, the part after the here document ("echo ...") is
still displayed with sh-heredoc face. This seems to be caused by '-'
used in the here-doc marker, as changing "<<-+++" to "<<+++" displays
the right face after the here doc. However, '<<-' is valid and needed in my
case. I can confirm this with a recent trunk as of "GNU Emacs 24.0.50.2
(x86_64-unknown-linux-gnu, GTK+ Version 2.18.3) of 2010-05-31 on seere"
in addition to this 23.2.

I already checked with emacs -Q here.sh, this does not change anything
about it, so I guess no configuration related misunderstandings.


In GNU Emacs 23.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.18.3)
 of 2010-05-10 on seere
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--prefix=/space/ralf/emacs23.2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: C
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  savehist-mode: t
  display-time-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  tabkey2-mode: t
  which-function-mode: t
  iswitchb-mode: t
  diff-auto-refine-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o <tab> r t <tab> e m <tab> <return>

Recent messages:
Loading /home/ralf/src/elisp/nxhtml/2.08/nxhtml/nxhtml-autoload...done
Nxml/Nxhtml Autostart.el loaded in 0.1 seconds
Loading /home/ralf/src/elisp/nxhtml/2.08/autostart.el (source)...done
Loading /home/ralf/.emacs-gnu23...done
Loading /home/ralf/.custom-gnu23...
Loading time...done
Loading savehist...done
Loading /home/ralf/.custom-gnu23...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
~/erlang/lib/erlang/lib/tools-2.6.5/emacs/erlang hides /usr/share/emacs23/site-lisp/erlang/erlang
~/erlang/lib/erlang/lib/tools-2.6.5/emacs/erlang-start hides /usr/share/emacs23/site-lisp/erlang/erlang-start
/usr/share/emacs23/site-lisp/flim/md4 hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/md4
/usr/share/emacs23/site-lisp/flim/hex-util hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/hex-util
~/locallisp/htmlfontify hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/htmlfontify
/usr/share/emacs23/site-lisp/flim/sha1 hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/sha1
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/textmodes/flyspell
~/locallisp/js hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/progmodes/js
~/locallisp/org-mode/lisp/org-colview hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-colview
~/locallisp/org-mode/lisp/org-attach hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-attach
~/locallisp/org-mode/lisp/org-exp-blocks hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-exp-blocks
~/locallisp/org-mode/lisp/org-ascii hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-ascii
~/locallisp/org-mode/lisp/org-compat hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-compat
~/locallisp/org-mode/lisp/org-vm hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-vm
~/locallisp/org-mode/lisp/org-agenda hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-agenda
~/locallisp/org-mode/lisp/org-mew hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-mew
~/locallisp/org-mode/lisp/org-docbook hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-docbook
~/locallisp/org-mode/lisp/org-exp hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-exp
~/locallisp/org-mode/lisp/org-crypt hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-crypt
~/locallisp/org-mode/lisp/org-xoxo hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-xoxo
~/locallisp/org-mode/lisp/org-latex hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-latex
~/locallisp/org-mode/lisp/org-w3m hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-w3m
~/locallisp/org-mode/lisp/org hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org
~/locallisp/org-mode/lisp/org-irc hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-irc
~/locallisp/org-mode/lisp/org-gnus hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-gnus
~/locallisp/org-mode/lisp/org-faces hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-faces
~/locallisp/org-mode/lisp/org-list hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-list
~/locallisp/org-mode/lisp/org-feed hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-feed
~/locallisp/org-mode/lisp/org-bbdb hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-bbdb
~/locallisp/org-mode/lisp/org-remember hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-remember
~/locallisp/org-mode/lisp/org-mouse hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-mouse
~/locallisp/org-mode/lisp/org-bibtex hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-bibtex
~/locallisp/org-mode/lisp/org-plot hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-plot
~/locallisp/org-mode/lisp/org-protocol hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-protocol
~/locallisp/org-mode/lisp/org-rmail hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-rmail
~/locallisp/org-mode/lisp/org-publish hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-publish
~/locallisp/org-mode/lisp/org-archive hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-archive
~/locallisp/org-mode/lisp/org-table hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-table
~/locallisp/org-mode/lisp/org-install hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-install
~/locallisp/org-mode/lisp/org-clock hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-clock
~/locallisp/org-mode/lisp/org-footnote hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-footnote
~/locallisp/org-mode/lisp/org-macs hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-macs
~/locallisp/org-mode/lisp/org-src hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-src
~/locallisp/org-mode/lisp/org-habit hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-habit
~/locallisp/org-mode/lisp/org-jsinfo hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-jsinfo
~/locallisp/org-mode/lisp/org-mac-message hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-mac-message
~/locallisp/org-mode/lisp/org-html hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-html
~/locallisp/org-mode/lisp/org-mobile hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-mobile
~/locallisp/org-mode/lisp/org-freemind hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-freemind
~/locallisp/org-mode/lisp/org-datetree hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-datetree
~/locallisp/org-mode/lisp/org-info hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-info
~/locallisp/org-mode/lisp/org-wl hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-wl
~/locallisp/org-mode/lisp/org-mhe hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-mhe
~/locallisp/org-mode/lisp/org-id hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-id
~/locallisp/org-mode/lisp/org-indent hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-indent
~/locallisp/org-mode/lisp/org-icalendar hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-icalendar
~/locallisp/org-mode/lisp/org-inlinetask hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-inlinetask
~/locallisp/org-mode/lisp/org-timer hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/org/org-timer
/usr/share/emacs23/site-lisp/flim/sasl-cram hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/sasl-cram
/usr/share/emacs23/site-lisp/flim/sasl-ntlm hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/sasl-ntlm
/usr/share/emacs23/site-lisp/flim/sasl-digest hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/sasl-digest
/usr/share/emacs23/site-lisp/flim/sasl hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/sasl
/usr/share/emacs23/site-lisp/flim/hmac-md5 hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/hmac-md5
/usr/share/emacs23/site-lisp/flim/hmac-def hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/hmac-def
/usr/share/emacs23/site-lisp/flim/ntlm hides /space/ralf/emacs23.2/share/emacs/23.2/lisp/net/ntlm

Features:
(shadow sort gnus-cite mail-extr gnus-msg gnus-art mm-uu mml2015
epg-config mm-view smime dig gnus-sum nnoo gnus-group gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int gnus-range
gnus-win message ecomplete rfc822 mml mml-sec password-cache mm-decode
mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp
ietf-drums mailabbrev gmm-utils mailheader canlock sha1 sha1-el hex-util
hashcash gnus gnus-ems nnheader gnus-util netrc mail-utils mm-util
mail-prsvr emacsbug help-mode view uniquify savehist time cus-start
cus-load assoc swank-clojure clojure-mode slime-fancy
slime-fontifying-fu slime-package-fu slime-references slime-xref-browser
tree-widget slime-scratch slime-highlight-edits slime-fancy-inspector
slime-c-p-c slime-editing-commands slime-autodoc slime-parse
slime-presentations slime-repl slime-fuzzy slime apropos hyperspec
thingatpt browse-url tabbar tabkey2 appmenu nxhtml-autostart
nxhtml-autoload majmodpri nxhtml-menu web-autoload nxhtml-base distel-ie
edb patmatch erl-service derl erlext epmd net-fsm erl distel erlang
etags compile tempo comint socks preview-latex tex-site auto-loads
sh-script executable hideshow which-func imenu windmove iswitchb
org-protocol org-latex org-export-latex org-beamer org-exp
org-exp-blocks org-agenda org org-footnote org-src org-list org-faces
org-compat org-entities org-macs time-date noutline outline footnote
remember org-install psvn byte-opt bytecomp byte-compile advice
advice-preload derived wid-edit pp elp ediff-merg ediff-diff ediff-wind
ediff-mult ediff-help ediff-init ediff-util dired regexp-opt magit
diff-mode git-blame git help-fns log-edit easymenu easy-mmode ring
pcvs-util add-log ewoc cl cl-19 server delsel ffap edmacro kmacro erin
highlight-current-line paren saveplace cua-base debian-el
debian-el-loaddefs w3m-load path-util poe pym static apel-ver product
erlang-start emacs-goodies-el emacs-goodies-custom
emacs-goodies-loaddefs dpkg-dev-el dpkg-dev-el-loaddefs bbdb-autoloads
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
font-setting tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind system-font-setting
font-render-setting gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Ralf Doering <rdoering@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6391; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 22 Mar 2020 00:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.